/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workactivity.entity;

import com.jeeplus.modules.sys.entity.Role;
import com.jeeplus.modules.sys.entity.SysRoleActivity;
import com.jeeplus.modules.sys.entity.User;

import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 工作流附加类Entity
 * @author 杨帆
 * @version 2018-01-24
 */
public class Activity extends DataEntity<Activity> {
	
	private static final long serialVersionUID = 1L;
	private String name;		// 任务名称
	private User User;		// 审批人
	private SysRoleActivity role;		// 审批角色别名
	private String encount;		// 审批角色别名
	private String enlist;		// 审批角色别名
	private String processKey;		// 流程标识
	private String returnBack;		// 0 返回上一步 1 返回第一步
	private String isApproval;		// 是否审批
	private String approvalId;		// 审批id
	private String activityMenuId;  // 流程外键Id
	private int count;
	private WorkActivityProcess workActivityProcess;
	private String activityTask;
	private String companyId;
	private String activityName;
	
	public Activity() {
		super();
	}

	public Activity(String id){
		super(id);
	}

	@ExcelField(title="任务名称", align=2, sort=7)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	@ExcelField(title="审批人", align=2, sort=8)
	public User getUser() {
		return User;
	}

	public void setUser(User User) {
		this.User = User;
	}

	@ExcelField(title="审批角色别名", align=2, sort=9)
	public SysRoleActivity getRole() {
		return role;
	}

	public void setRole(SysRoleActivity role) {
		this.role = role;
	}

	@ExcelField(title="审批id", align=2, sort=8)
	public String getActivityMenuId() {
		return activityMenuId;
	}

	public void setActivityMenuId(String activityMenuId) {
		this.activityMenuId = activityMenuId;
	}

	@ExcelField(title="流程标识", align=2, sort=11)
	public String getProcessKey() {
		return processKey;
	}

	public void setProcessKey(String processKey) {
		this.processKey = processKey;
	}
	
	@ExcelField(title="0 返回上一步 1 返回第一步", align=2, sort=12)
	public String getReturnBack() {
		return returnBack;
	}

	public void setReturnBack(String returnBack) {
		this.returnBack = returnBack;
	}
	
	@ExcelField(title="是否审批", align=2, sort=13)
	public String getIsApproval() {
		return isApproval;
	}

	public void setIsApproval(String isApproval) {
		this.isApproval = isApproval;
	}
	
	@ExcelField(title="审批id", align=2, sort=14)
	public String getApprovalId() {
		return approvalId;
	}

	public void setApprovalId(String approvalId) {
		this.approvalId = approvalId;
	}

	public int getCount() {
		return count;
	}

	public void setCount(int count) {
		this.count = count;
	}

	public WorkActivityProcess getWorkActivityProcess() {
		return workActivityProcess;
	}

	public void setWorkActivityProcess(WorkActivityProcess workActivityProcess) {
		this.workActivityProcess = workActivityProcess;
	}

	public String getEncount() {
		return encount;
	}

	public void setEncount(String encount) {
		this.encount = encount;
	}

	public String getEnlist() {
		return enlist;
	}

	public void setEnlist(String enlist) {
		this.enlist = enlist;
	}

	public String getActivityName() {
		return activityName;
	}

	public void setActivityName(String activityName) {
		this.activityName = activityName;
	}

	public String getActivityTask() {
		return activityTask;
	}

	public void setActivityTask(String activityTask) {
		this.activityTask = activityTask;
	}

	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}
}